If you have been using the Firefox4 beta
Be careful because it's progression has it recognised as Firefox proper. Which means it will update your Firefox3 to v.4
That will probably leave you with most of your extensions not working.
I held off for now on this machine. I'll look at later on my Sandbox. But that's running 11.4, so everything I do there will be Factory.